/**
 * Module-based constants
 */
export const SYSTEM = {
    ID: 'fvtt-cthulhu-eternal'
}

/**
 * Core module
 */
export const CORE_MODULE = {
    ID: 'token-action-hud-core'
}

/**
 * Core module version required by the system module
 */
export const REQUIRED_CORE_MODULE_VERSION = '2.0'

/**
 * Action types
 */
export const ACTION_TYPE = {
    attributes: 'CTHULHUETERNAL.Label.Characteristics',
    skills: 'CTHULHUETERNAL.Label.Skill',
    equipment: 'CTHULHUETERNAL.Label.Gear'
}

/**
 * Groups
 */
export const GROUP = {
    attributes: { id: 'attributes', name: 'CTHULHUETERNAL.Label.Characteristics', type: 'system' },
    luck: { id: 'luck', name: 'CTHULHUETERNAL.Label.Luck', type: 'system'},
    skills: { id: 'skills', name: 'CTHULHUETERNAL.Label.Skills', type: 'system' },
    weapons: { id: 'weapons', name: 'CTHULHUETERNAL.Label.Weapons', type: 'system' },
    rituals: { id: 'rituals', name: 'CTHULHUETERNAL.Label.Rituals', type: 'system' }
}
